Page 2 of 2 FirstFirst 12
Results 11 to 13 of 13
  1. #11
    Newbie
    Join Date
    May 2020
    Posts
    13

    Default

    Quote Originally Posted by jcoffin View Post
    Thank you. That should prove useful if I decide to build it manually myself. Hoping I can just grab it from an apt-get install linux-headers-4.19.0-8-untangle-amd64 eventually like I have in previous releases so I can use the r8168-dkms package from the Debian Buster repo.

  2. #12
    Newbie
    Join Date
    May 2020
    Posts
    13

    Default

    I hate to keep beating the dead horse, but I can't get over the errors when running apt-get update. And beyond that, I'm just trying to figure out if the linux-headers package will be published to the untangle buster repository instead of having to build it from the GitHub repo.

    apt-get update error:

    [root @ untangle] ~ # apt update
    Ign:1 http://updates.untangle.com/public/buster stable-151 InRelease
    Err:2 http://updates.untangle.com/public/buster stable-151 Release
    404 Not Found [IP: 52.39.250.125 80]
    Reading package lists... Done
    E: The repository 'http://updates.untangle.com/public/buster stable-151 Release' does not have a Release file.
    N: Updating from such a repository can't be done securely, and is therefore disabled by default.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    N: Usage of apt_auth.conf(5) should be preferred over embedding login information directly in the sources.list(5) entry for 'http://updates.untangle.com/public/buster'
    EDIT 1: Guessing this JIRA issue is related...

    https://jira.untangle.com/browse/NGFW-13084

    EDIT 2: Spun up another fresh VM from the ISO, apt-get update errors still exist. That plus the linux-headers package for Untangle not being published has me sad. I will wait for a bit to see what happens and probably build the package myself if it doesn't come to fruition in a week or so.

    EDIT 3: Mentioned this wiki page to Support, but if the linux-headers package isn't going to be published in the apt repository, might want to mention that it isn't supported as of 15.1 on that page. https://wiki.untangle.com/index.php/...Kernel_Modules
    Last edited by WookieeSasquatch; 05-20-2020 at 07:26 PM.

  3. #13
    Newbie
    Join Date
    May 2020
    Posts
    13

    Default

    Looks like the linux-headers package was published to the repository sometime between last night and tonight. Everything I need is present and no more apt-get update errors.

    Consider this "solved".
    Jim.Alles likes this.

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

SEO by vBSEO 3.6.0 PL2